<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Stencil Pro
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="https://gmpg.org/xfn/11">

    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <?php wp_body_open(); ?>

    <div class="site">
        <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to content', 'stencil-pro'); ?></a>

        <header class="header">

            <div class="header__topbar">
                <div class="header__topbar-container">

                    <div class="header__topbar-wrapper">

                        <?php get_template_part('template-parts/menu/menu', 'social'); ?>

                        <?php get_template_part('template-parts/menu/menu', 'navigation'); ?>

                        <?php get_template_part('template-parts/header/header', 'search'); ?>

                    </div><!-- .header__topbar-wrapper -->

                </div><!-- .header__topbar-container -->
            </div><!-- .header__topbar -->

            <div class="header__branding">
                <div class="header__branding-container">

                    <div class="header__branding-wrapper">
                        <?php stencil_site_branding(); ?>
                    </div><!-- .header__branding-wrapper -->

                </div><!-- .header__branding-container -->
            </div><!-- .header__branding -->

        </header><!-- .header -->

        <div class="content">
