<?php

/**
 * Theme Customizer Helpers
 */

if (!function_exists('stencil_primary_colors')) :
    /**
     * Selectors for primary color
     */
    function stencil_primary_colors($return) {

        $colors = array(
            'a:hover',
            'a:visited:hover',
            '.menu a:hover',
            '.menu li:hover > a',
            '.menu .sub-menu a:hover',
            '.menu li.current-menu-item > a',
            '.more-link',
            '.more-link:visited',
            '.contact-info-widget.default i',
            '.entry-meta a:hover',
            '.entry-meta a:visited:hover',
            '.entry-content a',
            '.sidebar-footer a:hover',
            '.tag-links a',
            '.post-pagination .post-detail a',
            '.author-bio .description .name a:hover',
            '.author-bio .author-social-links a:hover',
            '.search-icon .search-toggle:hover',
            '.search-icon .search-toggle:visited:hover',
            '.post-slider .entry-title a:hover',
            '.post-featured .entry-title a:hover',
            '.post-featured-grid .entry-title a:hover',
            '.logged-in-as a',
            '.post-pagination__detail span',
            '.footer__copyright a',
            '.footer__designer a',
            '.widget ul a:hover',
            'h1 > a:hover',
            'h2 > a:hover',
            'h3 > a:hover',
            'h4 > a:hover',
            'h5 > a:hover',
            'h6 > a:hover'
        );

        $backgrounds = array(
            'button:hover',
            'input[type="button"]:hover',
            'input[type="reset"]:hover',
            'input[type="submit"]:hover'
        );

        $borders = array(
            'blockquote'
        );

        // Return array
        if ('colors' == $return) {
            return $colors;
        } elseif ('backgrounds' == $return) {
            return $backgrounds;
        } elseif ('borders' == $return) {
            return $borders;
        }
    }
endif;

if (!function_exists('stencil_heading_selector')) :
    /**
     * Heading selector
     */
    function stencil_heading_selector() {

        $headings = array(
            'h1',
            'h1 a',
            'h2',
            'h2 a',
            'h3',
            'h3 a',
            'h4',
            'h4 a',
            'h5',
            'h5 a',
            'h6',
            'h6 a',
        );

        return $headings;
    }
endif;

if (!function_exists('stencil_button_selector')) :
    /**
     * Button selector
     */
    function stencil_button_selector() {

        $buttons = array(
            'button',
            'input[type="button"]',
            'input[type="reset"]',
            'input[type="submit"]',
            '.button',
            '.contact-info-widget li.skype a'
        );

        return $buttons;
    }
endif;

if (!function_exists('stencil_forms_selector')) :
    /**
     * Form selector
     */
    function stencil_forms_selector() {

        $forms = array(
            'form input[type="text"]',
            'form input[type="password"]',
            'form input[type="email"]',
            'form input[type="url"]',
            'form input[type="date"]',
            'form input[type="month"]',
            'form input[type="time"]',
            'form input[type="datetime"]',
            'form input[type="datetime-local"]',
            'form input[type="week"]',
            'form input[type="number"]',
            'form input[type="search"]',
            'form input[type="tel"]',
            'form input[type="color"]',
            'form select',
            'form textarea'
        );

        return $forms;
    }
endif;
