<?php

/**
 * Appearance panel
 */
Kirki::add_panel('appearance', array(
	'title'          => esc_attr__('Appearance', 'stencil-pro'),
	'description'    => esc_attr__('Customize the design of the elements of the theme.', 'stencil-pro'),
	'priority'       => 135,
));

/**
 * Global colors section
 */
Kirki::add_section('global_color', array(
	'title'          => esc_attr__('Global Colors', 'stencil-pro'),
	'priority'       => 5,
	'panel'          => 'appearance'
));

/**
 * Link color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'link_color',
	'label'       => esc_attr__('Link Color', 'stencil-pro'),
	'section'     => 'global_color',
	'default'     => '#c3a576',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => stencil_primary_colors('colors'),
			'property' => 'color',
			'exclude'  => array('#c3a576')
		),
		array(
			'element'  => stencil_primary_colors('backgrounds'),
			'property' => 'background-color',
			'exclude'  => array('#c3a576')
		),
		array(
			'element'  => stencil_primary_colors('borders'),
			'property' => 'border-color',
			'exclude'  => array('#c3a576')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => stencil_primary_colors('colors'),
			'property' => 'color',
			'function' => 'css',
		),
		array(
			'element'  => stencil_primary_colors('backgrounds'),
			'property' => 'background-color',
			'function' => 'css',
		),
		array(
			'element'  => stencil_primary_colors('borders'),
			'property' => 'border-color',
			'function' => 'css',
		),
	),
));

/**
 * Text color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'text_color',
	'label'       => esc_attr__('Text Color', 'stencil-pro'),
	'section'     => 'global_color',
	'default'     => '#5a595c',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => 'body',
			'property' => 'color',
			'exclude'  => array('#5a595c')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => 'body',
			'property' => 'color',
			'function' => 'css',
		),
	),
));

/**
 * Heading color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'heading_color',
	'label'       => esc_attr__('Heading Color', 'stencil-pro'),
	'section'     => 'global_color',
	'default'     => '#191919',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => stencil_heading_selector(),
			'property' => 'color',
			'exclude'  => array('#191919')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => stencil_heading_selector(),
			'property' => 'color',
			'function' => 'css',
		),
	),
));
