<?php

/**
 * Typography section
 */
Kirki::add_section('typography', array(
	'title'          => esc_attr__('Global Typography', 'stencil-pro'),
	'priority'       => 10,
	'panel'          => 'appearance'
));

/**
 * Body text
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'typography',
	'settings'    => 'body_text',
	'label'       => esc_attr__('Body Text', 'stencil-pro'),
	'section'     => 'typography',
	'default'     => array(
		'font-family'    => 'Amiri',
		'variant'        => 'regular',
	),
	'transport'    => 'auto',
	'output'       => array(
		array(
			'element'  => 'body'
		),
	),
));

/**
 * Heading text
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'typography',
	'settings'    => 'heading_text',
	'label'       => esc_attr__('Heading Text', 'stencil-pro'),
	'section'     => 'typography',
	'default'     => array(
		'font-family'    => 'Amiri',
		'variant'        => '400',
	),
	'transport'    => 'auto',
	'output'       => array(
		array(
			'element'  => 'h1, h2, h3, h4, h5, h6'
		),
	),
));
