<?php

/**
 * Widgets section
 */
Kirki::add_section('widgets', array(
	'title'          => esc_attr__('Widgets', 'stencil-pro'),
	'priority'       => 20,
	'panel'          => 'appearance'
));

/**
 * Widget title spacing
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'slider',
	'settings'    => 'widgets_title_spacing',
	'label'       => esc_attr__('Title Spacing', 'stencil-pro'),
	'description' => esc_attr__('Widget title margin bottom.', 'stencil-pro'),
	'section'     => 'widgets',
	'default'     => '15',
	'choices'      => array(
		'min'  => 10,
		'max'  => 50,
		'step' => 1,
	),
	'output'      => array(
		array(
			'element'  => '.widget__title',
			'property' => 'margin-bottom',
			'units'    => 'px',
			'exclude'  => array('15')
		),
	),
	'transport'    => 'postMessage',
	'js_vars'      => array(
		array(
			'element'  => '.widget__title',
			'property' => 'margin-bottom',
			'units'    => 'px',
			'function' => 'css',
		),
	),
));

/**
 * Widget spacing
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'slider',
	'settings'    => 'widgets_spacing',
	'label'       => esc_attr__('Widget Spacing', 'stencil-pro'),
	'description' => esc_attr__('The space between widgets', 'stencil-pro'),
	'section'     => 'widgets',
	'default'     => '60',
	'choices'      => array(
		'min'  => 20,
		'max'  => 100,
		'step' => 5,
	),
	'output'      => array(
		array(
			'element'  => '.widget',
			'property' => 'margin-bottom',
			'units'    => 'px',
			'exclude'  => array('60')
		),
	),
	'transport'    => 'postMessage',
	'js_vars'      => array(
		array(
			'element'  => '.widget',
			'property' => 'margin-bottom',
			'units'    => 'px',
			'function' => 'css',
		),
	),
));
