<?php

/**
 * Featured section
 */
Kirki::add_section('featured_settings', array(
	'title'          => esc_attr__('Featured Post', 'stencil-pro'),
	'description'    => sprintf(
		__('Use a <a href="%1$s">tag</a> to feature your posts. If no posts match the tag, <a href="%2$s">sticky posts</a> will be displayed instead.', 'stencil-pro'),
		esc_url(add_query_arg('tag', _x('featured', 'featured content default tag slug', 'stencil-pro'), admin_url('edit.php'))),
		admin_url('edit.php?show_sticky=1')
	),
	'priority'       => 10,
	'panel'          => 'blog'
));

/**
 * Enable featured
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'toggle',
	'settings'    => 'featured_enable',
	'label'       => esc_attr__('Enable Featured', 'stencil-pro'),
	'description' => esc_attr__('Enable featured posts', 'stencil-pro'),
	'section'     => 'featured_settings',
	'default'     => '1'
));

/**
 * Tag
 */
Kirki::add_field('stencil_options', array(
	'type'     => 'text',
	'settings' => 'featured_tag',
	'label'    => esc_attr__('Tag Name', 'stencil-pro'),
	'default'  => 'featured',
	'section'  => 'featured_settings',
));
