<?php

/**
 * Blog panel
 */
Kirki::add_panel('blog', array(
	'title'          => esc_attr__('Blog', 'stencil-pro'),
	'description'    => esc_attr__('Customize the blog area of the theme.', 'stencil-pro'),
	'priority'       => 145,
));

/**
 * Post section
 */
Kirki::add_section('post', array(
	'title'          => esc_attr__('Single Post', 'stencil-pro'),
	'priority'       => 5,
	'panel'          => 'blog'
));

/**
 * Featured image
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'toggle',
	'settings'    => 'post_featured_image',
	'label'       => esc_attr__('Featured Image', 'stencil-pro'),
	'description' => esc_attr__('Enable featured image', 'stencil-pro'),
	'section'     => 'post',
	'default'     => '1'
));

/**
 * Meta
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'toggle',
	'settings'    => 'post_meta',
	'label'       => esc_attr__('Post Meta', 'stencil-pro'),
	'description' => esc_attr__('Enable post meta', 'stencil-pro'),
	'section'     => 'post',
	'default'     => '1'
));

/**
 * Footer
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'toggle',
	'settings'    => 'post_footer',
	'label'       => esc_attr__('Post Footer', 'stencil-pro'),
	'description' => esc_attr__('Enable author avatar & social share', 'stencil-pro'),
	'section'     => 'post',
	'default'     => '1'
));


/**
 * Post navigation
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'toggle',
	'settings'    => 'post_navigation',
	'label'       => esc_attr__('Post Navigation', 'stencil-pro'),
	'description' => esc_attr__('Enable next & prev post', 'stencil-pro'),
	'section'     => 'post',
	'default'     => '1'
));

/**
 * Post author box
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'toggle',
	'settings'    => 'post_author_box',
	'label'       => esc_attr__('Post Author', 'stencil-pro'),
	'description' => esc_attr__('Enable post author box', 'stencil-pro'),
	'section'     => 'post',
	'default'     => '1'
));

/**
 * Switch between related and sidebar
 */
Kirki::add_field('stencil_options', [
	'type'        => 'radio',
	'settings'    => 'post_switch_related',
	'label'       => esc_html__('Related Or Sidebar', 'stencil-pro'),
	'section'     => 'post',
	'default'     => 'related',
	'choices'     => [
		'related' => esc_html__('Related Posts', 'stencil-pro'),
		'sidebar' => esc_html__('Sidebar', 'stencil-pro')
	],
]);

/**
 * Post related
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'toggle',
	'settings'    => 'post_related',
	'label'       => esc_attr__('Related Posts', 'stencil-pro'),
	'description' => esc_attr__('Enable related posts', 'stencil-pro'),
	'section'     => 'post',
	'default'     => '1'
));

/**
 * Post related number
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'slider',
	'settings'    => 'post_related_number',
	'label'       => esc_attr__('Related Number', 'stencil-pro'),
	'description' => esc_attr__('The number of related posts', 'stencil-pro'),
	'section'     => 'post',
	'default'     => '3',
	'choices'      => array(
		'min'  => 3,
		'max'  => 9,
		'step' => 1,
	),
	'required'    => array(
		array(
			'setting'  => 'post_related',
			'operator' => '==',
			'value'    => true,
		),
	),
));

/**
 * Post comment
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'toggle',
	'settings'    => 'post_comment',
	'label'       => esc_attr__('Post Comment', 'stencil-pro'),
	'description' => esc_attr__('Enable post comment', 'stencil-pro'),
	'section'     => 'post',
	'default'     => '1'
));
