<?php

/**
 * Footer panel
 */
Kirki::add_panel('footer', array(
	'title'          => esc_attr__('Footer', 'stencil-pro'),
	'description'    => esc_attr__('Customize the footer area of the theme.', 'stencil-pro'),
	'priority'       => 150,
));

/**
 * Copyrights
 */
Kirki::add_section('copyrights', array(
	'title'          => esc_attr__('Copyrights', 'stencil-pro'),
	'priority'       => 5,
	'panel'          => 'footer'
));

/**
 * Footer text
 */
Kirki::add_field('stencil_options', array(
	'type'     => 'textarea',
	'settings' => 'copyrights_text',
	'label'    => esc_attr__('Text', 'stencil-pro'),
	'section'  => 'copyrights',
	'default'  => 'Site by <a href="https://www.happythemes.com">HappyThemes</a>',
));

/**
 * Height
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'slider',
	'settings'    => 'copyrights_height',
	'label'       => esc_attr__('Height', 'stencil-pro'),
	'description' => esc_attr__('Control the height of the copyrights area.', 'stencil-pro'),
	'section'     => 'copyrights',
	'default'     => '50',
	'choices'     => array(
		'min'  => '50',
		'max'  => '100',
		'step' => '5',
	),
	'output'      => array(
		array(
			'element'  => '.footer',
			'property' => 'padding-top',
			'units'    => 'px',
			'exclude'  => array('50')
		),
		array(
			'element'  => '.footer',
			'property' => 'padding-bottom',
			'units'    => 'px',
			'exclude'  => array('50')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.footer',
			'property' => 'padding-top',
			'units'    => 'px',
			'function' => 'css',
		),
		array(
			'element'  => '.footer',
			'property' => 'padding-bottom',
			'units'    => 'px',
			'function' => 'css',
		),
	),
));

/**
 * Background color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'copyrights_bg',
	'label'       => esc_attr__('Background Color', 'stencil-pro'),
	'section'     => 'copyrights',
	'default'     => '#191919',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.footer',
			'property' => 'background-color',
			'exclude'  => array('#191919')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.footer',
			'property' => 'background-color',
			'function' => 'css',
		),
	),
));

/**
 * Color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'copyrights_color',
	'label'       => esc_attr__('Color', 'stencil-pro'),
	'section'     => 'copyrights',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.footer',
			'property' => 'color',
			'exclude'  => array('#ffffff')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.footer',
			'property' => 'color',
			'function' => 'css',
		),
	),
));

/**
 * Link Color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'copyrights_color_link',
	'label'       => esc_attr__('Color: Link', 'stencil-pro'),
	'section'     => 'copyrights',
	'default'     => '#c3a576',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.footer a',
			'property' => 'color',
			'exclude'  => array('#c3a576')
		),
		array(
			'element'  => '.footer a:visited',
			'property' => 'color',
			'exclude'  => array('#c3a576')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.footer a',
			'property' => 'color',
			'function' => 'css',
		),
		array(
			'element'  => '.footer a:visited',
			'property' => 'color',
			'function' => 'css',
		),
	),
));

/**
 * Link Color: Hover
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'copyrights_color_hover',
	'label'       => esc_attr__('Color: Hover', 'stencil-pro'),
	'section'     => 'copyrights',
	'default'     => '#b9893e',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.footer a:hover',
			'property' => 'color',
			'exclude'  => array('#b9893e')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.footer a:hover',
			'property' => 'color',
			'function' => 'css',
		),
	),
));
