<?php

/**
 * Container section
 */
Kirki::add_section('back_to_top', array(
	'title'          => esc_attr__('Back To Top', 'stencil-pro'),
	'priority'       => 15,
	'panel'          => 'general'
));


/**
 * Back to top
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'toggle',
	'settings'    => 'backtotop',
	'label'       => esc_attr__('Back To Top', 'stencil-pro'),
	'description' => esc_attr__('Enable back to top button.', 'stencil-pro'),
	'section'     => 'back_to_top',
	'default'     => '1'
));

/**
 * Background color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'backtotop_bg',
	'label'       => esc_attr__('Background Color', 'stencil-pro'),
	'section'     => 'back_to_top',
	'default'     => '#191919',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.back-to-top',
			'property' => 'background-color',
			'exclude'  => array('#191919'),
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.back-to-top',
			'property' => 'background-color',
			'function' => 'css',
		),
	),
	'required'    => array(
		array(
			'setting'  => 'backtotop',
			'operator' => '==',
			'value'    => true,
		),
	),
));

/**
 * Background color hover
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'backtotop_bg_hover',
	'label'       => esc_attr__('Background Color: Hover', 'stencil-pro'),
	'section'     => 'back_to_top',
	'default'     => '#191919',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.back-to-top:hover',
			'property' => 'background-color',
			'exclude'  => array('#191919'),
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.back-to-top:hover',
			'property' => 'background-color',
			'function' => 'css',
		),
	),
	'required'    => array(
		array(
			'setting'  => 'backtotop',
			'operator' => '==',
			'value'    => true,
		),
	),
));

/**
 * Width
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'slider',
	'settings'    => 'backtotop_width',
	'label'       => esc_attr__('Width', 'stencil-pro'),
	'description' => esc_attr__('Control the width of the back to top button.', 'stencil-pro'),
	'section'     => 'back_to_top',
	'default'     => '40',
	'choices'     => array(
		'min'  => '40',
		'max'  => '100',
		'step' => '5',
	),
	'output'      => array(
		array(
			'element'  => '.back-to-top',
			'property' => 'width',
			'units'    => 'px',
			'exclude'  => array('40'),
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.back-to-top',
			'property' => 'width',
			'function' => 'css',
			'units'    => 'px',
		),
	),
	'required'    => array(
		array(
			'setting'  => 'backtotop',
			'operator' => '==',
			'value'    => true,
		),
	),
));

/**
 * Height
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'slider',
	'settings'    => 'backtotop_height',
	'label'       => esc_attr__('Height', 'stencil-pro'),
	'description' => esc_attr__('Control the height of the back to top button.', 'stencil-pro'),
	'section'     => 'back_to_top',
	'default'     => '40',
	'choices'     => array(
		'min'  => '40',
		'max'  => '100',
		'step' => '5',
	),
	'output'      => array(
		array(
			'element'  => '.back-to-top',
			'property' => 'height',
			'units'    => 'px',
			'exclude'  => array('40'),
		),
		array(
			'element'  => '.back-to-top',
			'property' => 'line-height',
			'units'    => 'px',
			'exclude'  => array('40'),
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.back-to-top',
			'property' => 'height',
			'function' => 'css',
			'units'    => 'px',
		),
		array(
			'element'  => '.back-to-top',
			'property' => 'line-height',
			'function' => 'css',
			'units'    => 'px',
		),
	),
	'required'    => array(
		array(
			'setting'  => 'backtotop',
			'operator' => '==',
			'value'    => true,
		),
	),
));
