<?php

/**
 * General panel
 */
Kirki::add_panel('general', array(
	'title'          => esc_attr__('General', 'stencil-pro'),
	'description'    => esc_attr__('Customize general elements of the theme.', 'stencil-pro'),
	'priority'       => 130,
));

/**
 * General section
 */
Kirki::add_section('general_settings', array(
	'title'          => esc_attr__('General Settings', 'stencil-pro'),
	'priority'       => 1,
	'panel'          => 'general'
));

/**
 * Container color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'bg_color',
	'label'       => esc_attr__('Background Color', 'stencil-pro'),
	'section'     => 'general_settings',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => 'body',
			'property' => 'background-color',
			'exclude'  => array('#ffffff')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => 'body',
			'property' => 'background-color',
			'function' => 'css'
		),
	),
));

/**
 * Instagram shortcode
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'text',
	'settings'    => 'instagram',
	'label'       => esc_attr__('Instagram Shortcode', 'stencil-pro'),
	'description' => esc_attr__('Place the Instagram shortcode from Instagram Feed plugin.', 'stencil-pro'),
	'section'     => 'general_settings'
));
