<?php

/**
 * Header panel
 */
Kirki::add_panel('header', array(
	'title'          => esc_attr__('Header', 'stencil-pro'),
	'description'    => esc_attr__('Customize the header area of the theme.', 'stencil-pro'),
	'priority'       => 140,
));

/**
 * Header section
 */
Kirki::add_section('header_settings', array(
	'title'          => esc_attr__('General', 'stencil-pro'),
	'priority'       => 1,
	'panel'          => 'header'
));

/**
 * Height
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'slider',
	'settings'    => 'header_height',
	'label'       => esc_attr__('Height', 'stencil-pro'),
	'description' => esc_attr__('Control the height of the header.', 'stencil-pro'),
	'section'     => 'header_settings',
	'default'     => '60',
	'choices'     => array(
		'min'  => '60',
		'max'  => '120',
		'step' => '10',
	),
	'output'      => array(
		array(
			'element'  => '.header__topbar-wrapper',
			'property' => 'min-height',
			'units'    => 'px',
			'exclude'  => array('60'),
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.header__topbar-wrapper',
			'property' => 'min-height',
			'function' => 'css',
			'units'    => 'px',
		),
	),
));

/**
 * Background color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'header_bg',
	'label'       => esc_attr__('Background Color', 'stencil-pro'),
	'section'     => 'header_settings',
	'default'     => '#191919',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => array('.header__topbar', '.header__navigation ul'),
			'property' => 'background-color',
			'exclude'  => array('#191919'),
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => array('.header__topbar', '.header__navigation ul'),
			'property' => 'background-color',
			'function' => 'css',
		),
	),
));

/**
 * Enable search
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'toggle',
	'settings'    => 'search_icon',
	'label'       => esc_attr__('Search', 'stencil-pro'),
	'description' => esc_attr__('Enable search icon', 'stencil-pro'),
	'section'     => 'header_settings',
	'default'     => '1'
));

/**
 * Search color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'search_color',
	'label'       => esc_attr__('Search Color', 'stencil-pro'),
	'section'     => 'header_settings',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.header__search path:nth-child(1)',
			'property' => 'fill',
			'exclude'  => array('#ffffff')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.header__search path:nth-child(1)',
			'property' => 'fill',
			'function' => 'css',
		),
	),
));

/**
 * Enable social icons
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'toggle',
	'settings'    => 'social_icons',
	'label'       => esc_attr__('Social Icons', 'stencil-pro'),
	'description' => esc_attr__('Enable social icons', 'stencil-pro'),
	'section'     => 'header_settings',
	'default'     => '1'
));

/**
 * Social color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'social_color',
	'label'       => esc_attr__('Social Color', 'stencil-pro'),
	'section'     => 'header_settings',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.header__social path',
			'property' => 'fill',
			'exclude'  => array('#ffffff')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.header__social path',
			'property' => 'fill',
			'function' => 'css',
		),
	),
));
