<?php

/**
 * Menu section
 */
Kirki::add_section('menu', array(
	'title'          => esc_attr__('Menu', 'stencil-pro'),
	'priority'       => 15,
	'panel'          => 'header'
));

/**
 * Menu color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'menu_color',
	'label'       => esc_attr__('Color', 'stencil-pro'),
	'section'     => 'menu',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.header__navigation a',
			'property' => 'color',
			'exclude'  => array('#ffffff')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.header__navigation a',
			'property' => 'color',
			'function' => 'css',
		),
	),
));

/**
 * Menu color: Hover
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'menu_color_hover',
	'label'       => esc_attr__('Color: Hover', 'stencil-pro'),
	'section'     => 'menu',
	'default'     => '#c3a576',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => array('.header__navigation a:hover', '.header__navigation a:visited:hover'),
			'property' => 'color',
			'exclude'  => array('#c3a576')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => array('.header__navigation a:hover', '.header__navigation a:visited:hover'),
			'property' => 'color',
			'function' => 'css',
		),
	),
));

/**
 * Toggle color
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'color',
	'settings'    => 'toggle_color',
	'label'       => esc_attr__('Toggle Color', 'stencil-pro'),
	'section'     => 'menu',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.menu-toggle path:nth-child(2)',
			'property' => 'fill',
			'exclude'  => array('#ffffff')
		),
	),
	'transport'   => 'postMessage',
	'js_vars'     => array(
		array(
			'element'  => '.menu-toggle path:nth-child(2)',
			'property' => 'fill',
			'function' => 'css',
		),
	),
));

/**
 * Menu typography
 */
Kirki::add_field('stencil_options', array(
	'type'        => 'typography',
	'settings'    => 'menu_typography',
	'label'       => esc_attr__('Typography', 'stencil-pro'),
	'section'     => 'menu',
	'default'     => array(
		'font-family'    => 'Amiri',
		'variant'        => 'regular',
		'font-size'      => '14px',
	),
	'transport'    => 'auto',
	'output'       => array(
		array(
			'element'  => '.header__navigation a'
		),
	),
));
