<?php

/**
 * Demo importer custom function
 * We use https://wordpress.org/plugins/one-click-demo-import/ to import our demo content
 */

// Disable branding.
add_filter('pt-ocdi/disable_pt_branding', '__return_true');

/**
 * Define demo file
 */
function stencil_import_files() {
    return array(
        array(
            'import_file_name'             => 'Stencil Pro',
            'local_import_file'            => get_template_directory() . '/inc/demo/dummy-data.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/screenshot.png',
            'preview_url'                  => 'https://www.happythemes.com/demo/stencil-pro/',
        )
    );
}
add_filter('pt-ocdi/import_files', 'stencil_import_files');

/**
 * After import function
 */
function stencil_after_import_setup() {

    // Assign menus to their locations.
    $primary = get_term_by('name', 'Primary', 'nav_menu');
    $social  = get_term_by('name', 'Social', 'nav_menu');

    set_theme_mod('nav_menu_locations', array(
        'menu-1'  => $primary->term_id,
        'social'  => $social->term_id
    ));
}
add_action('pt-ocdi/after_import', 'stencil_after_import_setup');
